#include "stdafx.h"
#include "Fn.h"

BEGIN_TEST(CompileDeadlock, BS) {
	// Make sure that we don't deadlock due to the tight lock in the lazy compilation.
	// See root/tests/bs/deadlock.bs for a detailed description of the issue.
	CHECK(runFn<Bool>(S("tests.bs.compileDeadlock")));
} END_TEST
